Some BSD BS

I got a nastygram from pkg update today on my FreeBSD laptop:

===>   NOTICE:

This port is deprecated; you may wish to reconsider installing it:

Reached its EoL on September 20, 2021.

It is scheduled to be removed on or after 2022-11-30.

Well that sucks but whatever, I don't really need to have samba/cifs...

$ sudo pkg remove samba412
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 6 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	fusefs-smbnetfs: 0.6.1_4
	gvfs: 1.50.2_1
	samba412: 4.12.15_5
	thunar: 4.16.11
	xfce: 4.16
	xfce4-desktop: 4.16.1

Number of packages to be removed: 6

Okay, that's my desktop. I kind of need that to do a lot of things.

Such is a day in the life of open source I suppose. You start off thinking about updating your laptop before you do some work, and you end your day contemplating switching desktop environments or recompiling from source to remove a dependency.

© 2022 Dr. Otto Skrzyk